#cs ----------------------------------------------------------------------------

	AutoIt Version: 3.3.6.1
	Author:         KingKevin

	Script Function:
	GUI for lolskintool.exe - Version: 1.2

#ce ----------------------------------------------------------------------------

Opt("TrayIconDebug", 1)
Global $file, $fileout, $success
Global $dirC = IniRead(@ScriptDir & "\settings.ini", "Settings", "DirC", "C:\")
Global $dirIE = IniRead(@ScriptDir & "\settings.ini", "Settings", "DirIE", "C:\")
Global $showCmd = IniRead(@ScriptDir & "\settings.ini", "Settings", "ShowCmd", "0")

#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#Region ### START Koda GUI section ### Form=c:\dokumente und einstellungen\kevin\eigene dateien\autoit\lolskingui\form1.kxf
$Form1_1 = GUICreate("lolskintool GUI", 402, 242, 192, 124)
$Group1 = GUICtrlCreateGroup("  Converter  ", 16, 8, 369, 105)
$Input1 = GUICtrlCreateInput("", 72, 32, 209, 21)
$Button1 = GUICtrlCreateButton("Select File", 296, 32, 75, 25, $WS_GROUP)
$Button2 = GUICtrlCreateButton(".skn -> .obj", 32, 72, 75, 25, $WS_GROUP)
$Button3 = GUICtrlCreateButton(".skl -> .txt", 120, 72, 75, 25, $WS_GROUP)
$Button4 = GUICtrlCreateButton(".txt -> .skn", 208, 72, 75, 25, $WS_GROUP)
$Button5 = GUICtrlCreateButton(".??? -> .???", 296, 72, 75, 25, $WS_GROUP)
$Label1 = GUICtrlCreateLabel("File :", 32, 32, 26, 17)
GUICtrlCreateGroup("", -99, -99, 1, 1)
$Group2 = GUICtrlCreateGroup("  Import / Export  Helper  ", 16, 120, 369, 105)
$Label2 = GUICtrlCreateLabel("File :", 32, 144, 26, 17)
$Input2 = GUICtrlCreateInput("", 72, 144, 209, 21)
$Button6 = GUICtrlCreateButton("Select File", 296, 144, 75, 25, $WS_GROUP)
$Button7 = GUICtrlCreateButton("Import", 32, 184, 163, 25, $WS_GROUP)
$Button8 = GUICtrlCreateButton("Export", 208, 184, 163, 25, $WS_GROUP)
GUICtrlCreateGroup("", -99, -99, 1, 1)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###


GUICtrlSetState($Input1, $GUI_DROPACCEPTED)
GUICtrlSetState($Input2, $GUI_DROPACCEPTED)
GUICtrlSetState($Button5, $GUI_DISABLE)

If FileExists(@ScriptDir & "\lolskintool.exe") = 0 Then NoSkinTool()
If $showCmd = 1 Then
	$showCmd = @SW_SHOW
Else
	$showCmd = @SW_HIDE
EndIf

While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		Case $GUI_EVENT_DROPPED
			Dropped()
		Case $Button1
			BrowseC()
		Case $Button2
			SknToObj()
		Case $Button3
			SklToTxt()
		Case $Button4
			TxtToSkn()
		Case $Button5
			Sleep(1)
		Case $Button6
			BrowseIE()
		Case $Button7
			Import()
		Case $Button8
			Export()
	EndSwitch
WEnd

Func Dropped()
	$file = @GUI_DragFile
EndFunc   ;==>Dropped

Func BrowseC()
	$file = FileOpenDialog("Choose your LoL Skin/Skeleton File", $dirC, "LoL Skin/Skeleton Files (*.skn;*.skl;*.txt)|All (*.*)", 1 + 2)
	GUICtrlSetData($Input1, $file)
	IniWrite(@ScriptDir & "\settings.ini", "Settings", "DirC", $file)
EndFunc   ;==>BrowseC

Func SknToObj()
	$file = GUICtrlRead($Input1)
	If StringRegExp($file, "(skn)\z") = 0 Then
		ClearVars()
		MsgBox(0, "", "This is not a valid File.")
		Return
	EndIf

	$fileout = StringRegExpReplace($file, ".skn", ".obj")
	$success = Run(@ScriptDir & "\lolskintool.exe" & " d skn " & Chr(34) & $file & Chr(34) & " " & Chr(34) & $fileout & Chr(34), "", $showCmd)

	Do
		Sleep(10)
	Until ProcessExists("lolskintool.exe") = 0

	If $success = 0 Then
		ClearVars()
		MsgBox(0, "Error", "Something went wrong.")
		Return
	EndIf

	If FileExists($fileout) = 1 Then
		ClearVars()
		MsgBox(0, "Success!", "The File was successfully converted.")
		Return
	EndIf

	ClearVars()
EndFunc   ;==>SknToObj

Func SklToTxt()
	$file = GUICtrlRead($Input1)
	If StringRegExp($file, "(skl)\z") = 0 Then
		ClearVars()
		MsgBox(0, "", "This is not a valid File.")
		Return
	EndIf

	$success = Run(@ScriptDir & "\lolskintool.exe" & " d skl " & Chr(34) & $file & Chr(34) & " " & Chr(34) & $file & ".txt" & Chr(34), "", $showCmd)

	Do
		Sleep(10)
	Until ProcessExists("lolskintool.exe") = 0

	If $success = 0 Then
		ClearVars()
		MsgBox(0, "Error", "Something went wrong.")
		Return
	EndIf

	If FileExists($file & ".txt") = 1 Then
		ClearVars()
		MsgBox(0, "Success!", "The File was successfully converted.")
		Return
	EndIf

	ClearVars()
EndFunc   ;==>SklToTxt

Func TxtToSkn()
	$file = GUICtrlRead($Input1)
	If StringRegExp($file, "(txt)\z") = 0 Then
		ClearVars()
		MsgBox(0, "", "This is not a valid File.")
		Return
	EndIf

	$fileout = StringRegExpReplace($file, ".txt", ".skn")
	$success = Run(@ScriptDir & "\lolskintool.exe" & " c skn " & Chr(34) & $file & Chr(34) & " " & Chr(34) & $fileout & Chr(34), "", $showCmd)

	Do
		Sleep(10)
	Until ProcessExists("lolskintool.exe") = 0

	If $success = 0 Then
		ClearVars()
		MsgBox(0, "Error", "Something went wrong.")
		Return
	EndIf

	If FileExists($fileout) = 1 Then
		ClearVars()
		MsgBox(0, "Success!", "The File was successfully converted.")
		Return
	EndIf

	ClearVars()
EndFunc   ;==>TxtToSkn

Func BrowseIE()
	$file = FileOpenDialog("Choose the file to Import/Export!", $dirIE, "Import Skeleton Textfile (*.skl.txt)|Export Model Textfile (*.txt)")
	GUICtrlSetData($Input2, $file)
	IniWrite(@ScriptDir & "\settings.ini", "Settings", "DirIE", $file)
EndFunc   ;==>BrowseIE

Func Import()
	$file = GUICtrlRead($Input2)
	If StringRegExp($file, "(.skl.txt)\z") = 0 Then
		ClearVars()
		MsgBox(0, "", "This is not a valid File.")
		Return
	EndIf

	$file = StringReplace($file, Chr(92), Chr(92) & Chr(92))
	$file = "python " & Chr(34) & "importSkeleton('" & $file & "')" & Chr(34)

	ClipPut($file)

	MsgBox(0, "Copied to Clipboard!", $file & @CRLF & @CRLF & "CTRL + V to Paste!")

	ClearVars()
EndFunc   ;==>Import

Func Export()
	$file = GUICtrlRead($Input2)
	If StringRegExp($file, "(.txt)\z") = 0 Then
		ClearVars()
		MsgBox(0, "", "This is not a valid File.")
		Return
	EndIf

	$file = StringReplace($file, Chr(92), Chr(92) & Chr(92))
	$file = "exportMesh(" & Chr(34) & $file & Chr(34) & ")"

	ClipPut($file)

	MsgBox(0, "Copied to Clipboard!", $file & @CRLF & @CRLF & "CTRL + V to Paste!")

	ClearVars()
EndFunc   ;==>Export

Func ClearVars()
	$file = ""
	$fileout = ""
	$success = ""
EndFunc   ;==>ClearVars

Func NoSkinTool()
	MsgBox(0, "Error!", "This programm must be in the same directory as lolskintool.exe!")
	Exit
EndFunc   ;==>NoSkinTool